Update Webhooks

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Endpoint to update webhook details. Any of the details can be updated at a time.

Request:

Query ParameterTypeDescription
businessIdstringUnique identifier for business
FieldTypeDescription
urlStringValid webhook url to which transaction webhooks are sent
allowedEventsEnum(String)Type of events that are sent to the webhook: 'all', 'transaction_failed', 'transaction_success', 'transaction_updated', 'payout_received', 'payout_cancelled', 'payout_failed', 'payout_completed'
retryStatusEnum (String)Describes if webhook should be retried/resent if failed: 'ENABLED', 'DISABLED'
secretHashStringValid Sha256 hash to encrypt and decrypt webhook

Example request

curl --location 'https://api.myvendy.com/webhooks/update-webhook?business={{businessId}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data '{
    "allowedEvents":"transaction_success",
    "retryStatus":"DISABLED",
}'

Response:

FieldTypeDescription
statusBooleanStates if request was successfully executed or not
codeIntegerInternal code, success if 200
msgStringA description of the status of the request
dataWebhookUpdated webhook details

Example response

{
    "code": "00",
    "error": "success",
    "data": {
        "allowedEvents": "transaction_success",
        "clientId": "39a1e4bf-fbc3-4b78-9555-c50f8cfa17bw",
        "created": "2022-08-24T07:05:40.432Z",
        "id": "39a1e4bf-fbc3-4b78-9555-c50f8cfa17bw",
        "retryStatus": "DISABLED",
        "secretHash": "ba7816bf8f01cfea414140de5dae2223b00361a396177a9cb410ff61f20015ad",
        "updated": "2022-08-24T07:05:40.432Z",
        "url": "https://example.com/webhook"
    },
    "status": true
}
Query Params
string
required
Body Params
string
required

webhook id to be updated

string

webhook url

string

ENABLED or DISABLED

string
string
enum
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json